IdAttribute (xmlbeans API)

org.apache.xmlbeans.impl.xb.xmlschema

## Interface IdAttribute

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    IdAttributeImpl

      public interface IdAttribute
      extends XmlObject

  A document containing one id(@http://www.w3.org/XML/1998/namespace) attribute. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<IdAttribute>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the "id" attribute
    `boolean` | `isSetId()` True if has "id" attribute
    `void` | `setId(String id)` Sets the "id" attribute
    `void` | `unsetId()` Unsets the "id" attribute
    `XmlID` | `xgetId()` Gets (as xml) the "id" attribute
    `void` | `xsetId(XmlID id)` Sets (as xml) the "id" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<IdAttribute> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute